Last Comment Bug 699626 - Intermittent REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==) and other WebGL reftest failures
: Intermittent REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 |...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: 10 Branch
: All All
: -- normal (vote)
: mozilla10
Assigned To: Doug Sherk (:drs) (inactive)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 438871 693703
  Show dependency treegraph
 
Reported: 2011-11-03 15:53 PDT by Matt Brubeck (:mbrubeck)
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Proposed patch to fix this. (1.48 KB, patch)
2011-11-03 15:59 PDT, Doug Sherk (:drs) (inactive)
jgilbert: review+
Details | Diff | Splinter Review
Patch on top of previous, add TEST-DEBUG-INFO. (2.78 KB, patch)
2011-11-03 17:35 PDT, Doug Sherk (:drs) (inactive)
jacob.benoit.1: review+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2011-11-03 15:53:04 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=7192821&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test mochitests-1/5 on 2011-11-03 14:52:44 PDT for push 52b9e8718829

and 

https://tbpl.mozilla.org/php/getParsedLog.php?id=7192120&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitests-1/5 on 2011-11-03 14:30:45 PDT for push a242f11d7c58

45854 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/context/incorrect-context-object-behaviour.html)
WebGL test page successful: conformance/context/incorrect-context-object-behaviour.html
WebGL mochitest: starting page conformance/context/methods.html
--DOMWINDOW == 274 (0x14992c998) [serial = 1068] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/context-type-test.html]
--DOMWINDOW == 273 (0x10f6ea598) [serial = 1069] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/incorrect-context-object-behaviour.html]
--- WebGL context destroyed: 0x12a44d800
++DOMWINDOW == 274 (0x149fb0b88) [serial = 1071] [outer = 0x14e334550]
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x10b523e00
45855 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/context/methods.html)
WebGL test page successful: conformance/context/methods.html
WebGL mochitest: starting page conformance/context/premultiplyalpha-test.html
--DOMWINDOW == 273 (0x14dadbea8) [serial = 1067] [outer = 0x0] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/context-lost.html]
--DOMWINDOW == 272 (0x14a06f368) [serial = 1070] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/incorrect-context-object-behaviour.html]
--- WebGL context destroyed: 0x100ea7400
--- WebGL context destroyed: 0x10b057a00
++DOMWINDOW == 273 (0x14a8578e8) [serial = 1072] [outer = 0x14e334550]
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x104eade00
FAIL: should draw with 64,128,255,128
STACK TRACE:
([object WebGLRenderingContext],0,0,300,150,[object Array],"should draw with 64,128,255,128",2)@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/resources/webgl-test-utils.js:408
loadTexture([object Event])@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/premultiplyalpha-test.html:135
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x10b057a00
FAIL: should draw with 64,128,255,128
STACK TRACE:
([object WebGLRenderingContext],0,0,300,150,[object Array],"should draw with 64,128,255,128",2)@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/resources/webgl-test-utils.js:408
loadTexture(41)@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/premultiplyalpha-test.html:135
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x128834200
FAIL: should draw with 255,192,128,1
STACK TRACE:
([object WebGLRenderingContext],0,0,300,150,[object Array],"should draw with 255,192,128,1",0)@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/resources/webgl-test-utils.js:408
loadTexture([object Event])@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/premultiplyalpha-test.html:135
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)

colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x10b020a00
FAIL: should draw with 255,192,128,1
STACK TRACE:
([object WebGLRenderingContext],0,0,300,150,[object Array],"should draw with 255,192,128,1",0)@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/resources/webgl-test-utils.js:408
loadTexture(26)@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/premultiplyalpha-test.html:135
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)

colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x12a490800
FAIL: should draw with 128,128,128,255
STACK TRACE:
([object WebGLRenderingContext],0,0,300,150,[object Array],"should draw with 128,128,128,255",2)@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/resources/webgl-test-utils.js:408
loadTexture([object Event])@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/premultiplyalpha-test.html:135
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 128,128,128,255 | image comparison (==)

colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x10b418000
WebGL mochitest: starting page conformance/context/resource-sharing-test.html
--DOMWINDOW == 272 (0x149fb0b88) [serial = 1071] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/methods.html]
--- WebGL context destroyed: 0x10b523e00
++DOMWINDOW == 273 (0x149fb0b88) [serial = 1073] [outer = 0x14e334550]
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x10b39de00
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x128ecfa00
45856 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/context/resource-sharing-test.html)
WebGL test page successful: conformance/context/resource-sharing-test.html
WebGL mochitest: starting page conformance/extensions/oes-standard-derivatives.html
++DOMWINDOW == 274 (0x14976d2e8) [serial = 1074] [outer = 0x14e334550]
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x1288d4800
45857 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/extensions/oes-standard-derivatives.html)
WebGL test page successful: conformance/extensions/oes-standard-derivatives.html
WebGL mochitest: starting page conformance/extensions/oes-texture-float.html
--DOMWINDOW == 273 (0x149fb0b88) [serial = 1073] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/context/resource-sharing-test.html]
--- WebGL context destroyed: 0x10b057a00
--- WebGL context destroyed: 0x128834200

Skipping 1078 lines...

FAIL: getError expected: NO_ERROR. Was INVALID_VALUE :
STACK TRACE:
testFailed("getError expected: NO_ERROR. Was INVALID_VALUE : ")@http://mochi.test:8888/tests/content/canvas/test/webgl/resources/js-test-pre.js:91
@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/misc/attrib-location-length-limits.html:60
FAIL: gl.getAttribLocation(program, "vPosition01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567") should be -1. Was 0.
STACK TRACE:
testFailed("gl.getAttribLocation(program, \"vPosition01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567\") should be -1. Was 0.")@http://mochi.test:8888/tests/content/canvas/test/webgl/resources/js-test-pre.js:91
@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/misc/attrib-location-length-limits.html:74
WebGL mochitest: starting page conformance/glsl/misc/embedded-struct-definitions-forbidden.html
--DOMWINDOW == 274 (0x12903d748) [serial = 1174] [outer = 0x0] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/implicit/ternary_ivec2_vec2.vert.html]
++DOMWINDOW == 275 (0x12903d748) [serial = 1178] [outer = 0x14e334550]
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x12a2e0c00
45960 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/glsl/misc/embedded-struct-definitions-forbidden.html)
WebGL test page successful: conformance/glsl/misc/embedded-struct-definitions-forbidden.html
WebGL mochitest: starting page conformance/glsl/misc/glsl-function-nodes.html
--DOMWINDOW == 274 (0x14b9eb788) [serial = 1175] [outer = 0x0] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/implicit/ternary_ivec3_vec3.vert.html]
--DOMWINDOW == 273 (0x14f077538) [serial = 1177] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/misc/attrib-location-length-limits.html]
--- WebGL context destroyed: 0x12a2e0c00
++DOMWINDOW == 274 (0x14b9eb788) [serial = 1179] [outer = 0x14e334550]
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x1288d4800
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x100b1be00
FAIL: Rendering results are different
STACK TRACE:
testFailed("Rendering results are different")@http://mochi.test:8888/tests/content/canvas/test/webgl/resources/js-test-pre.js:91
init()@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/misc/glsl-function-nodes.html:126
@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/misc/glsl-function-nodes.html:132
FAIL: REFTEST TEST-UNEXPECTED-FAIL | Rendering results are different | image comparison (==)

WebGL mochitest: starting page conformance/glsl/misc/glsl-long-variable-names.html
--DOMWINDOW == 273 (0x149f31818) [serial = 1176] [outer = 0x0] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/implicit/ternary_ivec4_vec4.vert.html]
--- WebGL context destroyed: 0x10b057a00
++DOMWINDOW == 274 (0x14f077538) [serial = 1180] [outer = 0x14e334550]
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x12a45e200
JavaScript error: http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/misc/glsl-long-variable-names.html, line 60: gl is null
FAIL: successfullyParsed should be true. Threw exception ReferenceError: successfullyParsed is not defined
STACK TRACE:
shouldBeTrue("successfullyParsed")@http://mochi.test:8888/tests/content/canvas/test/webgl/resources/js-test-pre.js:243
WebGL mochitest: starting page conformance/glsl/misc/non-ascii-comments.vert.html
--DOMWINDOW == 273 (0x14b9eb788) [serial = 1179] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/misc/glsl-function-nodes.html]
++DOMWINDOW == 274 (0x1499468d8) [serial = 1181] [outer = 0x14e334550]
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x10b057a00
45961 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/glsl/misc/non-ascii-comments.vert.html)
WebGL test page successful: conformance/glsl/misc/non-ascii-comments.vert.html
WebGL mochitest: starting page conformance/glsl/misc/non-ascii.vert.html
--DOMWINDOW == 273 (0x12903d748) [serial = 1178] [outer = 0x0] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/misc/embedded-struct-definitions-forbidden.html]
--DOMWINDOW == 272 (0x14f077538) [serial = 1180] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/glsl/misc/glsl-long-variable-names.html]
--- WebGL context destroyed: 0x10b057a00
--- WebGL context destroyed: 0x1288d4800
--- WebGL context destroyed: 0x100b1be00
++DOMWINDOW == 273 (0x149f31818) [serial = 1182] [outer = 0x14e334550]
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)

Skipping 1459 lines...

colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x100f5c800
46078 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/textures/texture-active-bind.html)
WebGL test page successful: conformance/textures/texture-active-bind.html
WebGL mochitest: starting page conformance/textures/texture-complete.html
--DOMWINDOW == 273 (0x14b9af5e8) [serial = 1313] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/textures/texture-active-bind-2.html]
--- WebGL context destroyed: 0x12a663a00
++DOMWINDOW == 274 (0x14b9af5e8) [serial = 1315] [outer = 0x14e334550]
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x12a45e200
46079 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/textures/texture-complete.html)
WebGL test page successful: conformance/textures/texture-complete.html
WebGL mochitest: starting page conformance/textures/texture-formats-test.html
--DOMWINDOW == 273 (0x1499dd8b8) [serial = 1314] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/textures/texture-active-bind.html]
--- WebGL context destroyed: 0x128e1aa00
++DOMWINDOW == 274 (0x12bec03b8) [serial = 1316] [outer = 0x14e334550]
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x12a6a8200
46080 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/textures/texture-formats-test.html)
WebGL test page successful: conformance/textures/texture-formats-test.html
WebGL mochitest: starting page conformance/textures/texture-mips.html
--DOMWINDOW == 273 (0x14b9af5e8) [serial = 1315] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/textures/texture-complete.html]
--- WebGL context destroyed: 0x100fb0e00
++DOMWINDOW == 274 (0x14a287088) [serial = 1317] [outer = 0x14e334550]
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x100f4dc00
FAIL: texture that has all mips should draw with cyan
STACK TRACE:
([object WebGLRenderingContext],0,0,2,2,[object Array],"texture that has all mips should draw with cyan",0)@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/resources/webgl-test-utils.js:408
check("cyan","texture that has all mips")@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/textures/texture-mips.html:204
init()@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/textures/texture-mips.html:95
@http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/textures/texture-mips.html:252
FAIL: REFTEST TEST-UNEXPECTED-FAIL | texture that has all mips should draw with cyan | image comparison (==)
REFTEST   IMAGE 1 (TEST): data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAIAAAACCAYAAABytg0kAAAAEElEQVQImWNgYGD4D8UQBgAd9AP9JAD7OgAAAABJRU5ErkJggg==
REFTEST   IMAGE 2 (REFERENCE): data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAIAAAACCAYAAABytg0kAAAAFElEQVQImWNo+P//f8P///8ZYAwAeqwN9RmNefgAAAAASUVORK5CYII=
WebGL mochitest: starting page conformance/textures/texture-npot-video.html
--DOMWINDOW == 273 (0x12bec03b8) [serial = 1316] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/textures/texture-formats-test.html]
--- WebGL context destroyed: 0x100f5c800
++DOMWINDOW == 274 (0x14a84c0f8) [serial = 1318] [outer = 0x14e334550]
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x128e1aa00
46081 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/textures/texture-npot-video.html)
WebGL test page successful: conformance/textures/texture-npot-video.html
WebGL mochitest: starting page conformance/textures/texture-npot.html
--DOMWINDOW == 273 (0x14a287088) [serial = 1317] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/textures/texture-mips.html]
--- WebGL context destroyed: 0x12a45e200
--- WebGL context destroyed: 0x12a6a8200
++DOMWINDOW == 274 (0x14b9af5e8) [serial = 1319] [outer = 0x14e334550]
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x104bf9000
WebGL test page successful: conformance/textures/texture-npot.html
WebGL mochitest: starting page conformance/textures/texture-size.html
--- WebGL context destroyed: 0x100f4dc00
++DOMWINDOW == 275 (0x14daa8428) [serial = 1320] [outer = 0x14e334550]
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x128859c00
46082 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/textures/texture-size.html)
WebGL test page successful: conformance/textures/texture-size.html
WebGL mochitest: starting page conformance/textures/texture-size-cube-maps.html
--DOMWINDOW == 274 (0x14b9af5e8) [serial = 1319] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/textures/texture-npot.html]

Skipping 3187 lines...

46144 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/more/glsl/arrayOutOfBounds.html)
WebGL test page successful: conformance/more/glsl/arrayOutOfBounds.html
WebGL mochitest: starting page conformance/more/glsl/uniformOutOfBounds.html
--DOMWINDOW == 273 (0x14b9af5e8) [serial = 1388] [outer = 0x14e334550] [url = http://mochi.test:8888/tests/content/canvas/test/webgl/conformance/more/functions/vertexAttribPointerBadArgs.html]
--- WebGL context destroyed: 0x128cdea00
--- WebGL context destroyed: 0x128e6ba00
--- WebGL context destroyed: 0x12a663a00
++DOMWINDOW == 274 (0x14f067658) [serial = 1390] [outer = 0x14e334550]
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x128864800
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
WARNING: No script language registered for this mime-type: file /builds/slave/m-in-osx64-dbg/build/dom/base/nsDOMScriptObjectFactory.cpp, line 159
WARNING: Failed to find a scripting language: file /builds/slave/m-in-osx64-dbg/build/content/base/src/nsScriptLoader.cpp, line 459
colorbits: 24 alpha: 8 depth: 24 stencil: 0
*** depth: 24 (req: 24)
--- WebGL context created: 0x128915a00
46145 INFO TEST-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Successful test page (URL: conformance/more/glsl/uniformOutOfBounds.html)
WebGL test page successful: conformance/more/glsl/uniformOutOfBounds.html
46146 ERROR TEST-UNEXPECTED-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test expected to fail, but passed: conformance/textures/texture-npot.html
46147 INFO TEST-END | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | finished in 196428ms
46148 INFO TEST-START | /tests/content/events/test/test_bug226361.xhtml
Comment 1 Doug Sherk (:drs) (inactive) 2011-11-03 15:59:58 PDT
Created attachment 571819 [details] [diff] [review]
Proposed patch to fix this.

Proposed patch to fix this, r=burning
Comment 2 Treeherder Robot 2011-11-03 16:00:11 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7190817&tree=Firefox
Rev3 Fedora 12 mozilla-central opt test mochitests-1/5 on 2011-11-03 13:14:53

FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 128,128,128,255 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | texture that is only using the smallest 2 mips should draw with green | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | texture that is only using smallest mips should draw with cyan | image comparison (==)
77723 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | Test timed out.
77750 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek_out_of_range.html | Test timed out.
TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seekable1.html | application timed out after 330 seconds with no output
PROCESS-CRASH | /tests/content/media/test/test_seekable1.html | application crashed (minidump found)
Thread 0 (crashed)
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2011-11-03 16:49:13 PDT
Comment on attachment 571819 [details] [diff] [review]
Proposed patch to fix this.

Review of attachment 571819 [details] [diff] [review]:
-----------------------------------------------------------------

::: content/canvas/test/webgl/resources/js-test-pre.js
@@ +138,3 @@
>                 'REFTEST   IMAGE 1 (TEST): ' + testData + '\n' +
>                 'REFTEST   IMAGE 2 (REFERENCE): ' + refData;
> +    dump('The following information is for debugging purposes only. It will always print TEST-KNOWN-FAIL, even if it is unexpected.');

"following" may be misleading here as it's referring to a message _above_.
Comment 4 Doug Sherk (:drs) (inactive) 2011-11-03 17:15:49 PDT
This is being caused by changes in bug 693703. The parser is incorrectly interpreting new debug data as being an actual error, even if the test is expected to fail. The ideal way of dealing with this is by patching the reftest analyzer to accept a new type of error, i.e. "TEST-DEBUG-INFO", so that it's clear that it's debug info. For now, we chose to stick with using TEST-KNOWN-FAIL. The problem with this is that the test failure may be unexpected, so the log may be lying in this case, since TEST-KNOWN-FAIL is always printed.
Comment 5 Doug Sherk (:drs) (inactive) 2011-11-03 17:35:18 PDT
Created attachment 571850 [details] [diff] [review]
Patch on top of previous, add TEST-DEBUG-INFO.

Patch reftest analyzer to support new TEST-DEBUG-INFO flag. Also changed js-test-pre.js to use this flag instead of TEST-KNOWN-FAIL.
Comment 6 Treeherder Robot 2011-11-03 18:38:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7196768&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitests-1/5 on 2011-11-03 17:56:52

38840 ERROR TEST-UNEXPECTED-FAIL | /tests/content/base/test/test_websocket.html | the ws connection in test 8 should be closed cleanly
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 128,128,128,255 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | texture that is only using the smallest 2 mips should draw with green | image comparison (==)
Comment 7 Jeff Gilbert [:jgilbert] 2011-11-03 19:04:38 PDT
Comment on attachment 571819 [details] [diff] [review]
Proposed patch to fix this.

Review of attachment 571819 [details] [diff] [review]:
-----------------------------------------------------------------

'following' will be correctly positioned above the debug info in the resulting log. (check the order of the dump() calls)

Stop gap is a go.
Comment 8 Jeff Gilbert [:jgilbert] 2011-11-03 19:07:35 PDT
Comment on attachment 571819 [details] [diff] [review]
Proposed patch to fix this.

https://hg.mozilla.org/integration/mozilla-inbound/rev/40bce6a7c85f

I accidentally pushed this with the r=burning, whereas it should read r=jgilbert.
Comment 9 Treeherder Robot 2011-11-04 01:30:38 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7200600&tree=Try
Rev3 Fedora 12 try opt test mochitests-1/5 on 2011-11-03 20:57:21

FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 128,128,128,255 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | texture that is only using the smallest 2 mips should draw with green | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | texture that is only using smallest mips should draw with cyan | image comparison (==)
77710 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | Test timed out.
77737 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek_out_of_range.html | Test timed out.
TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seekable1.html | application timed out after 330 seconds with no output
PROCESS-CRASH | /tests/content/media/test/test_seekable1.html | application crashed (minidump found)
Thread 0 (crashed)
Comment 10 Doug Sherk (:drs) (inactive) 2011-11-04 01:35:58 PDT
Try push for both patches here + a forced triggering of the intermittent failure:
https://tbpl.mozilla.org/?tree=Try&rev=3dce9c115d04

The builds all completed, and the mochitests all failed except on OSX as expected. This is because the forced trigger makes a test fail which is expected to pass on every platform on OSX.
Comment 11 Ed Morley [:emorley] 2011-11-04 03:08:39 PDT
https://hg.mozilla.org/mozilla-central/rev/40bce6a7c85f
Comment 12 Doug Sherk (:drs) (inactive) 2011-11-04 03:11:28 PDT
Reopened, the patch in comment 10 needs to land before this can be resolved.
Comment 13 Ed Morley [:emorley] 2011-11-04 03:17:43 PDT
Please mark in the whiteboard if a bug needs to stay open after landing on inbound, along the lines of:
https://wiki.mozilla.org/Tree_Rules/Inbound#Please_do_the_following_after_pushing_to_inbound

Thanks :-)
Comment 14 Doug Sherk (:drs) (inactive) 2011-11-04 03:18:38 PDT
Thanks for the info, my bad!
Comment 15 Doug Sherk (:drs) (inactive) 2011-11-05 14:02:09 PDT
Comment on attachment 571850 [details] [diff] [review]
Patch on top of previous, add TEST-DEBUG-INFO.

dbaron said "looks ok" on #developers
Comment 16 Benoit Jacob [:bjacob] (mostly away) 2011-11-05 14:30:52 PDT
Comment on attachment 571850 [details] [diff] [review]
Patch on top of previous, add TEST-DEBUG-INFO.

Review of attachment 571850 [details] [diff] [review]:
-----------------------------------------------------------------

r=me but I'm relying on dbaron's word for the reftest-analyzer.xhtml change.
Comment 17 Treeherder Robot 2011-11-07 21:56:19 PST
bz
https://tbpl.mozilla.org/php/getParsedLog.php?id=7272448&tree=Try
Rev3 Fedora 12 try opt test mochitests-1/5 on 2011-11-07 20:26:40

FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 128,128,128,255 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | texture that is only using the smallest 2 mips should draw with green | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | texture that is only using smallest mips should draw with cyan | image comparison (==)
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
Comment 18 Treeherder Robot 2011-11-08 04:37:26 PST
bz
https://tbpl.mozilla.org/php/getParsedLog.php?id=7273598&tree=Try
Rev3 MacOSX Snow Leopard 10.6.2 try debug test mochitests-1/5 on 2011-11-07 21:23:15

FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 64,128,255,128 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 255,192,128,1 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | should draw with 128,128,128,255 | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | Rendering results are different | image comparison (==)
FAIL: REFTEST TEST-UNEXPECTED-FAIL | texture that has all mips should draw with cyan | image comparison (==)
46371 ERROR TEST-UNEXPECTED-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test expected to fail, but passed: conformance/textures/texture-npot.html
Comment 19 Benoit Jacob [:bjacob] (mostly away) 2011-11-18 19:59:12 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/d5acf519b774
Comment 20 Ed Morley [:emorley] 2011-11-19 05:10:24 PST
https://hg.mozilla.org/mozilla-central/rev/d5acf519b774

Note You need to log in before you can comment on or make changes to this bug.